BEGIN	{
doskip = 0
inusage = 0
inbody = 0
inkeywords = 0
Nkeywords = 0
}

/^\?\?\?\?/  {
	if(inkeywords == 0) {
		inkeywords = 1
		next
	} else {
		inkeywords = 0
	}

	}

/^@@@@/ {
        if(index($0,"#") > 0 && inbody == 1) {
                content = substr($0,index($0,"#")+1);
                left = (72-length(content))/2;
                for(i=0;i<left;i++)
                {
                        printf " ";
                }
                printf "%s\n", content;
        }
        if(index($0,"%") > 0 && inbody == 1) {
                content = substr($0,index($0,"#")+1);
                printf "%s\n", content;
        }
        next
}

/^%%%%/ {
	if(inusage == 1)
	{
		inbody = 1
		if( dousage == 1) {
                   print "\\end{verbatim}\n\\end{minipage}"
                   print "\\vspace{.1in} \\\\"
                }
	 print " {\\bfseries Keywords:} "
	 print "{"
	 for(i=1;i<nkeys;i++) 
	 {
		printf "%s, ", keys[i]
		thiskeyN = keytoN[tolower(keys[i])]
		keyrefcount[thiskeyN] += 1
		keyrefs[1000*thiskeyN+keyrefcount[thiskeyN]] = comps[1]
	 }
	 printf "%s} \n", keys[nkeys]
		thiskeyN = keytoN[tolower(keys[nkeys])]
		keyrefcount[thiskeyN] += 1
		keyrefs[1000*thiskeyN+keyrefcount[thiskeyN]] = comps[1]
        
         print "{\\footnotesize\\begin{verbatim}"
	}
	
	}

/^====/ {if(inbody == 1)
	{
		print "\\end{verbatim}\n}"
	}
	 inbody = 0
         if(index($0,"*") > 0) {
		skipit = 1
	 } else {
           skipit = 0
	   gsub(/_/,"\\_")
	   line = substr($0,5,length($0)-4)
	   split(line,comps,"#")
	   nkeys = split(comps[2],keys,",")
	   if(index(comps[1],"%") > 0) {
		dousage = 0
		comps[1] = substr(comps[1],1,index(comps[1],"%")-1)
	   } else {
		dousage = 1
           }
	   printf "\\section{%s}", comps[1] , "\n"
	   if(dousage == 1) {
	   	print "{\\bfseries Usage:} \\\\ "
	   	print "\\hspace*{.2in}"
           	printf "\\begin{minipage}[t]{6.3in}\n\\footnotesize\n\\begin{verbatim}"
	   }
         }
}

/^%%%%/ {
	if(inusage == 0 && skipit == 0)
	{
		inusage = 1
	}
	
	}

/E_O_F/ {
	$0 = "%%%%"
	}

	{ if(inusage == 1 && inbody == 0 && $0 != "%%%%" && dousage == 1) print $0 }
	{ if(inusage == 0 && inbody == 1 && $0 != "%%%%") print $0 }
	{ if(inusage == 1 && inbody == 1) inusage = 0 }
	{ if(inkeywords == 1) {
		Nkeywords = Nkeywords + 1
		keywordvalue[Nkeywords] = $0
		keyrefcount[Nkeywords] = 0
		keytoN[tolower($0)] = Nkeywords
	  }
	}




END	{
	if(skipit == 0)
	{
		print "\\end{verbatim}}"
	}
	for(i=1;i<=Nkeywords;i++)
	{
		thiskey = keywordvalue[i]
		if(length(thiskey) > 0)
		{
			print "\\section{" tolower(thiskey) "}\n" > "tmp.tab.tex"
			for(j=1;j<keyrefcount[i];j++) 
			{
				printf "%s,\n", keyrefs[1000*i+j] >> "tmp.tab.tex"
			}
			printf "%s   \\vspace{.1in}\\\\\n", keyrefs[1000*i+keyrefcount[i]]>> "tmp.tab.tex"
		}
	}
	}
