CPCCOREOBJECTS = cpccore/cpcmenu.o \
		cpccore/dialog.o \
		cpccore/graphframe.o \
		cpccore/graphprintgtk.o \
		cpccore/graphwindow.o \
		cpccore/help.o \
		cpccore/history.o \
		cpccore/interface.o \
		cpccore/xmlinterface.o \
		cpccore/main.o \
		cpccore/panelframe.o \
		cpccore/panelwindow.o \
		cpccore/postscriptgraph.o \
		cpccore/splitframe.o \
		cpccore/splittext.o \
		cpccore/textprintgtk.o \
		cpccore/utils.o \
		cpccore/modaldialog.o \
		cpccore/nonmodalframe.o \
		cpccore/initdialog.o \
		cpccore/buttoncontrols.o \
		cpccore/cpccontrols.o \
		cpccore/dataobject.o \
		cpccore/cpcxmlres.o \
		cpccore/inoutctrl.o \
		cpccore/viewer.o \
		cpccore/v_slider.o \
		cpccore/v_statictext.o \
		cpccore/v_listctrl.o \
		cpccore/v_patchctrl.o \
		cpccore/v_checkbox.o \
		cpccore/v_radiobox.o \
		cpccore/v_spinctrl.o \
		cpccore/v_plot.o \
		cpccore/v_scrolledtext.o \
		cpccore/v_showfile.o \
		cpccore/v_button.o		



CPCGLUEOBJECTS = cpcglue/cpcmain.o \
		cpcglue/cpchandl.o \
		cpcglue/cpcIo.o\
       		cpcglue/cpccallbacks.o \
		cpcglue/cpcgraph.o \
		cpcglue/setmenu.o \
		cpcglue/setdialog.o \
		cpcglue/alert.o \
		cpcglue/guihelp.o \
		cpcglue/stringutils.o \
		cpcglue/setdataobject.o \
		cpcglue/cmdutils.o \
		cpcglue/cpclineargs.o \
		cpcglue/mswglue.o

GLMOBJECTS = anovacoe.o \
		cellstat.o \
		contrast.o \
		funbalan.o \
		getmodel.o \
		glm.o \
		glmutils.o \
		gramschm.o \
		ipf.o \
		iterfns.o \
		iterglm.o \
		lpsforwd.o \
		lpslandb.o \
		lpsmisc.o \
		linpacCH.o \
		linpacGE.o \
		linpacQR.o \
		lowessmv.o \
		mreader.o \
		power.o \
		predtabl.o \
		printano.o \
		printreg.o \
		regpred.o \
		screen.o \
		unbalano.o \
		varnames.o \
		yates.o 

IOOBJECTS = comclipb.o \
		commonio.o \
		dynload.o \
		errorMsg.o \
		print.o \
		readFile.o \
		readHead.o \
		readdata.o \
		restore.o \
		save.o \
		shell.o \
		spool.o \
		startMsg.o \

LANGOBJECTS = Ifsetup.o \
		Lang.o \
		Macroset.o \
		Subassig.o \
		Symbol.o \
		batch.o \
		comIface.o \
		comhandl.o \
		handlers.o \
		iniMacro.o \
		initiali.o \
		keywords.o \
		labutils.o \
		mainpars.o \
		makesymb.o \
		utils.o \
		utilstru.o \
		yylex.o 

MATHOBJECTS = blas.o \
		cholesky.o \
		columnop.o \
		eigen.o \
		eigutils.o \
		findfact.o \
		mathutil.o \
		matrix.o \
		polyroot.o \
		qr.o \
		rankquic.o \
		rational.o \
		solve.o \
		sort.o \
		sortquic.o \
		svd.o \
		swp.o \
		toeplitz.o \
		trans.o \
		transpos.o \
		trideige.o \

MULTIVAROBJECTS = cluster.o \
		fft.o \
		fftsubs.o \
		kmeans.o \
		movavg.o \
		partacf.o \
		rotation.o \
		tserops.o \
		tsersubs.o \

PLOTOBJECTS = boxplot.o \
		graphics.o \
		myplot.o \
		plotutil.o \
		term.o \

PROBFUNOBJECTS = betabase.o \
		dunnett.o \
		gammabas.o \
		normbase.o \
		pvals.o \
		pvalsub.o \
		random.o \
		studentb.o \
		studrang.o \

STATOBJECTS = bin.o \
		cellstts.o \
		cor.o \
		describe.o \
		stemleaf.o \
		stemsubs.o \
		ttests.o 

UTILOBJECTS = array.o \
		changest.o \
		concat.o \
		delete.o \
		dim.o \
		equal.o \
		hconcat.o \
		help.o \
		iswhat.o \
		list.o \
		macro.o \
		makeFact.o \
		makestr.o \
		odometer.o \
		outer.o \
		paste.o \
		rep.o \
		run.o \
		select.o \
		setOptio.o \
		split.o \
		tabs.o 

LINUXOBJECTS =  main.o \
                unxIo.o \
                unxHandl.o


MACANOVACOREOBJECTS = $(GLMOBJECTS)\
		$(IOOBJECTS)\
		$(LANGOBJECTS)\
		$(MATHOBJECTS)\
		$(MULTIVAROBJECTS)\
		$(PLOTOBJECTS)\
		$(PROBFUNOBJECTS)\
		$(STATOBJECTS)\
		$(UTILOBJECTS)

OBJECTS = $(MACANOVACOREOBJECTS) $(CPCGLUEOBJECTS)  $(CPCCOREOBJECTS) 

MACANOVAHELPFILES = SharedSupport/MacAnova.hlp.txt \
		SharedSupport/Design.hlp.txt \
		SharedSupport/Tser.hlp.txt \
		SharedSupport/Userfun.hlp.txt \
		SharedSupport/Gui.hlp.txt \
		SharedSupport/Mulvar.mac.txt \
		SharedSupport/Graphics.mac.txt \
		SharedSupport/Regress.mac.txt \
		SharedSupport/Math.mac.txt \
		SharedSupport/Arima.mac.txt
