/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 4.13 or later
*(C)*
*(C)* Copyright (c) 2003 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

/*
  created to allow removal of many ifdef MACINTOSH or ifdef WXWIN from
  source files

  030615 added define for Carapace
*/

#ifndef MVIFACEH__

#if defined(MACINTOSH) || defined(SKEL_TRANSKEL)
#ifndef MACIFACEH__
#include "macIface.h"
#endif /*MACIFACEH__*/

#elif defined(SKEL_CARAPACE)
#ifndef CPCIFACEH__
#include "cpcglue/cpcIface.h"
#endif /*CPCIFACEH__*/

#elif defined(WXWIN) || defined(SKEL_WXWIN)
#ifndef WXIFACEH__
#include "wx/wxIface.h"
#endif /*WXIFACEH__*/

#elif defined(BASE_MICROSOFT) 
#ifndef UNXIFACEH__
#include "dosIface.h"
#endif /*UNXIFACEH__*/

#elif defined(BASE_UNIX)
#ifndef UNXIFACEH__
#include "unxIface.h"
#endif /*UNXIFACEH__*/

#else
#error MACINTOSH, WXWIN, MSDOS and UNIX all not defined
#endif

#endif /*MVIFACEH__*/
