/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 4.12 or later
*(C)*
*(C)* Copyright (c) 2001 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

/*
	Defines for gcc/cocoa/carapace version of MacAnova
*/

#undef BASE_UNIX
#define BASE_UNIX

#undef OS_MACOSX
#define OS_MACOSX

#undef SKEL_CARAPACE
#define SKEL_CARAPACE

#undef COMP_GCC
#define COMP_GCC

#undef PROC_POWERPC
#define PROC_POWERPC


#define PLATFORM       PLATFORM_COCOA
#define PLATFORM_ALT1  PLATFORM_CW
#define PLATFORM_ALT2  PLATFORM_SC
#define PLATFORM_ALT3  PLATFORM_MRC
#define PLATFORM_ALT4  PLATFORM_MAC
#define PLATFORM_ALT5  PLATFORM_MPW
#define PLATFORM_ALT6  PLATFORM_CARBON

#if 0
#define HASDYNLOAD        /*has capability of dynamic loading*/
#define EPSFPLOTSOK  1     /* make EPSF plots using quickdraw for preview */
#define CANSETFONTS        /*options 'font' and 'fontsize' meaningful*/
#endif

#define NOVALUESH          /* no useful values.h available*/
#define MAXINTEGER 4503599627370496.0 /*2^52*/

/* no distinction between binary and text files, e.g., Unix*/
#define TEXTREADMODE     "r"
#define BINARYREADMODE   "r"

#define TEXTWRITEMODE    "w"
#define BINARYWRITEMODE  "w"

#define TEXTAPPENDMODE   "a"
#define BINARYAPPENDMODE "a"

#define NPRODUCTS   50000  /*number of products between interrupt checks*/
#define HASCLIPBOARD       /*CLIPBOARD "connected" to clipboard*/
#define MULTIPLOTWINDOWS   /* several plotting windows available */
#define SCREENDUMP         /*screendump implemented for plotting commands*/
#define SCROLLABLEWINDOW   /* output window is scrollable */
#define DEFAULTPLOTPAUSE  0 /* default is not pause after high resolution plot */
#define HASFINDFILE       /* has find file dialog box */
#define HASCONSOLEDIALOG  /* console input in dialog box */
#define SIZEINTEGER  short /* used in typedef SIZEINTEGER Integer */
#define SIZELONGINT  long  /* used in typedef SIZELONGINT LongInt */
#define BDOUBLEHILOW
#define HASINFINITY
#define HASNAN
#define SAVEHISTORY
#define DEFAULTHISTORYLENGTH  100 /*980824 changed from 50*/
#define _STRUCT_TIMEVAL /*structure timeval type defd in headers*/
#ifndef MACANOVAINI
#define MACANOVAINI  "MacAnova.ini"
#endif /*MACANOVAINI*/

#define LESSTHANOREQUALTO  0xb2 /* Macintosh <= */
#define MORETHANOREQUALTO  0xb3 /* Macintosh >= */
#define NOTEQUALTO         0xad /* Macintosh != */
#define LEFTSPECIALQUOTE   0xc7 /* Macintosh << */
#define RIGHTSPECIALQUOTE  0xc8 /* Macintosh >> */

#define isNewline(C) ((C) == '\n' || (C) == '\r')

