/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 4.11 or later
*(C)*
*(C)* Copyright (c) 2000 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

/* 
   Defines for x86 Linux
   980714 Removed #undef DISABLECONTROLY which is no longer defined
          in genunix.h
   001102 DEFINEEDIT and DEFINEMORE now defined
*/

#undef BASE_UNIX
#define BASE_UNIX

#undef OS_LINUX
#define OS_LINUX

#undef SKEL_NONE
#define SKEL_NONE

#undef COMP_GCC
#define COMP_GCC

#undef PROC_INTELX86
#define PROC_INTELX86

/* Defines for generic Unix platforms. */
#include "genunix.h"


/*
   Some defines for Linux (2.0.24) contributed by Jan Erik Backlund 
   backl003@gold.tc.umn.edu
*/
#define PLATFORM       PLATFORM_LINUX86
#define PLATFORM_ALT1  PLATFORM_DJGPP
#define PLATFORM_ALT2  PLATFORM_WXBCPP
#define PLATFORM_ALT3  PLATFORM_BCPP
#define PLATFORM_ALT4  PLATFORM_LINUX86WX
#define PLATFORM_ALT5  PLATFORM_LINUX86CPC
#define PLATFORM_ALT6  PLATFORM_WIN32CPC

#define NOFLOATH 
#define HASGETTIMEOFDAY 
#define BDOUBLELOWHI
#define HASINFINITY
#define HASNAN
#define SIGNALARG
#undef  USEPOW

#define HASDYNLOAD
