/*
*(C)* The file is part of the source distribution of Carapace
*(C)* version 0.5 or later
*(C)*
*(C)* Copyright (c) 2000-2005 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* This file is distributed under the GNU General Public License
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/


#ifndef CARAPACESTRINGSH__
#define CARAPACESTRINGSH__

#define CPC_STRING_ALERT 		"Alert"
#define CPC_STRING_ERROR 		"Error"
#define CPC_STRING_WARNING 		"Error"
#define CPC_STRING_HIDDENSETUPERROR 	"Cannot open hidden window"
#define CPC_STRING_PRINTSETUPERROR 	"Cannot set up printing"
#define CPC_STRING_PRINTINGERROR 	"Printing error"
#define CPC_STRING_HISTORYSETUPERROR 	"Cannot set up history"
#define CPC_STRING_WORKSPACESAVEQUERY1	"Do you wish to save your workspace?"
#define CPC_STRING_WORKSPACESAVEQUERY2 	"Save workspace?"
#define CPC_STRING_TOOMANYWINDOWS 	"Too many windows open; close one"
#define CPC_STRING_UNTITLED 		"Untitled "
#define CPC_STRING_CANTOPENCOMMANDWIND 	"Unable to open new command window"
#define CPC_STRING_SELECTTEXTFILE 	"Select text file"
#define CPC_STRING_CANTOPENFILE 	"Cannot open file"
#define CPC_STRING_NONEXISTANTCMDWIND	"Attempt to set nonexistant command window"
#define CPC_STRING_INTERRUPT		"\n*****  Interrupt  *****\n"
#define CPC_STRING_INTERRUPTBUT		"Interrupt"
#define CPC_STRING_CANTMAKEMENUBAR 	"Unable to create menu bar"
#define CPC_STRING_FILESAVEFAIL 	"File save unsuccessful"
#define CPC_STRING_SAVEFILENAME 	"Select file for saving output window"
#define CPC_STRING_ASKSAVEWINDOW 	"Do you wish to save the window\n"
#define CPC_STRING_FILEEXISTS		"The file you chose already exists. Overwrite the existing file?"
#define CPC_STRING_QUESTION	 	"?"
#define CPC_STRING_CANTUNDO	 	"Can't &Undo"
#define CPC_STRING_OUTPUTUNDO	 	"Output &Undo"
#define CPC_STRING_CUTUNDO	 	"&Undo Cut"
#define CPC_STRING_PASTEUNDO	 	"&Undo Paste"
#define CPC_STRING_TYPINGUNDO	 	"&Undo Typing"
#define CPC_STRING_TYPINGREDO	 	"Redo Typing"
#define CPC_STRING_OUTPUTREDO	 	"Redo Output"
#define CPC_STRING_BACKGROUNDCOLOR	"Choose a background color"
#define CPC_STRING_FOREGROUNDCOLOR	"Choose a foreground color"
#define CPC_STRING_PAGEHEADER		" --- Page "
#define CPC_STRING_CANTQUITWHILERUNNING	"Can't quit while running"
#define CPC_STRING_OPENHTML             "Open HTML document"
#define CPC_STRING_FORWARD              "Forward"
#define CPC_STRING_BACK                 "Back"
#define CPC_STRING_PREFERENCESERROR     "Error in setting up preferences"
#define CPC_STRING_PREFSFILEERROR       "Cannot find preferences file"
#define CPC_STRING_CANTOPENRESOURCES    \
	"Cannot open resources file; default menus will be used"
#define CPC_STRING_CANTFINDRESOUCEINFILE \
	"Cannot load main resource file; default menus will be used"
#define CPC_STRING_CANTOPENUSERRESOURCEFILE    "Cannot open user menu resources file"
#define CPC_STRING_USERMENUSUNINIT      "User menu file not specified"
#define CPC_STRING_COMMANDCODENOTFOUND  "Could not find command; error in resource?"
#define CPC_STRING_EXECUTE              "Execute"
#define CPC_STRING_FORWARD              "Forward"
#define CPC_STRING_BACK                 "Back"
#define CPC_STRING_CLEARCOMMAND         "Clear"
#define CPC_STRING_UNDOCOMMAND          "Undo"
#define CPC_STRING_RUNNING              "Running"
#define CPC_STRING_APPENDEDMENUFAILED   "Attempt to append menu failed"
#define CPC_STRING_GRAPH                "Graph "
#define CPC_STRING_CANTOPENGRAPHWIND    "Cannot open new graph window"
#define CPC_STRING_SAVEGRAPH            "Save Graph As ..."
#define CPC_STRING_PANEL                "Panel "
#define CPC_STRING_VIEWER0001		"Could not find dynamic object "
#define CPC_STRING_VIEWER0002           " referenced\nin "
#define CPC_STRING_VIEWER0003		"Dynamic object "
#define CPC_STRING_VIEWER0004           " referenced in "
#define CPC_STRING_VIEWER0005           "\nis of incorrect type or size"
#define CPC_STRING_VIEWER0006		"\nhas improper values"
#define CPC_STRING_VIEWER0007           "Required parameter(s) "
#define CPC_STRING_VIEWER0008           " and "
#define CPC_STRING_VIEWER0009           " not found in "
#define CPC_STRING_VIEWER0010           "Required XML parameter %s not specified in %s %s"
#define CPC_STRING_VIEWER0011		"Could not find dynamic object %s referenced in %s %s"
#define CPC_STRING_VIEWER0012		"Dynamic object %s referenced in %s %s is of incorrect type or size"
#define CPC_STRING_VIEWER0013		"You must specify at least one of %s or %s in %s %s"

#define CPC_STRING_VIEWER0018	  " %s and  %s in %s %s is mismatch of incorrect rows"
#define CPC_STRING_VIEWER0020	  "Colorindex %s and Colorname %s in %s %s is mismatch of incorrect type or size"


#define CPC_STRING_DEFAULTMENUNAME  "defaultmenu"
#define CPC_STRING_DEFAULTCOMMANDRESOURCE \
"<?xml version=\"1.0\"?>\n"\
"<resource>\n"\
"\n"\
"  <object class=\"wxMenuBar\" name=\"defaultmenu\">\n"\
"    <label>defaultmenu</label>\n"\
"\n"\
"    <object class=\"cpcMenu\" name=\"file_menu\"> \n"\
"      <label>$File</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_OPEN\">\n"\
"        <label>$Open</label>\n"\
"        <accel>Ctrl+O</accel>\n"\
"        <help>Open a text file</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_SAVEWINDOW\">\n"\
"        <label>$Save</label>\n"\
"        <accel>Ctrl+S</accel>\n"\
"        <help>Save the contents of the text window</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_SAVEWINDOWAS\">\n"\
"        <label>Save window as ...</label>\n"\
"        <help>Rename and save the contents of the text window</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_PAGESETUP\">\n"\
"        <label>Page setup</label>\n"\
"        <help>Printing setup</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_PRINTSELECTION\">\n"\
"        <label>$Print window</label>\n"\
"        <help>Print this window</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_INTERRUPT\">\n"\
"        <label>$Interrupt</label>\n"\
"        <accel>Ctrl+I</accel>\n"\
"        <help>Interrupt processing</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_QUIT\">\n"\
"        <label>$Quit</label>\n"\
"        <accel>Ctrl+Q</accel>\n"\
"        <help>Quit</help>\n"\
"      </object>\n"\
"    </object>\n"\
"\n"\
"    <object class=\"cpcMenu\" name=\"edit_menu_split\">\n"\
"      <label>$Edit</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_UNDO\">\n"\
"        <label>U$ndo</label>\n"\
"        <accel>Ctrl+Z</accel>\n"\
"        <help>Undo last change</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_CUT\">\n"\
"        <label>Cut</label>\n"\
"        <accel>Ctrl+X</accel>\n"\
"        <help>Cut selection</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_COPY\">\n"\
"        <label>Copy</label>\n"\
"        <accel>Ctrl+C</accel>\n"\
"        <help>Copy selection</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_PASTE\">\n"\
"        <label>Paste</label>\n"\
"        <accel>Ctrl+V</accel>\n"\
"        <help>Paste selection</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_COPYTOEND\">\n"\
"        <label>$Copy to command</label>\n"\
"        <accel>F5</accel>\n"\
"        <help>Copy selection to command pane</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_EXECUTE\">\n"\
"        <label>$Execute</label>\n"\
"        <accel>F6</accel>\n"\
"        <help>Execute selection</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_UPHISTORY\">\n"\
"        <label>$Up History</label>\n"\
"        <accel>F7</accel>\n"\
"        <help>Insert previous command line from history</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_DOWNHISTORY\">\n"\
"        <label>$Down History</label>\n"\
"        <accel>F8</accel>\n"\
"        <help>Insert next command line from history</help>\n"\
"      </object>\n"\
"    </object>\n"\
"   \n"\
"    <object class=\"cpcMenu\" name=\"windows_menu_split\">\n"\
"      <label>$Windows</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_HIDE\">\n"\
"        <label>$Hide</label>\n"\
"        <help>Hide window</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_CLOSE\">\n"\
"        <label>$Close</label>\n"\
"        <accel>Ctrl+W</accel>\n"\
"        <help>Close window</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_NEWWINDOW\">\n"\
"        <label>$New</label>\n"\
"        <accel>Ctrl+N</accel>\n"\
"        <help>Open new window</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_TEXTWINDOW\">\n"\
"        <label>Output windows</label>\n"\
"        <help>Select output window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_GRAPH\">\n"\
"        <label>Graph windows</label>\n"\
"        <help>Select graph window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_TEXTWFONT\">\n"\
"        <label>Set font</label>\n"\
"        <help>Set the font for this window</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_GOTOTOP\">\n"\
"        <label>Scroll to $Top</label>\n"\
"        <accel>Ctrl+T</accel>\n"\
"        <help>Scroll to top of output</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_GOTOEND\">\n"\
"        <label>Scroll to $End</label>\n"\
"        <accel>Ctrl+E</accel>\n"\
"        <help>Scroll to bottom of output</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_GOTOCOMMANDPOINT\">\n"\
"        <label>Move to command</label>\n"\
"        <accel>Ctrl+A</accel>\n"\
"        <help>Move focus to command pane</help>\n"\
"      </object>\n"\
"    </object>\n"\
"   \n"\
"\n"\
"  </object>\n"\
"\n"\
"\n"\
"  <object class=\"cpcAccelTable\" name=\"defaultmenu\">\n"\
"        <object class=\"cpcAccelerator\"  name=\"CPC_WINDOWS_NEWWINDOW\">\n"\
"                <modifier>wxACCEL_CTRL</modifier>\n"\
"                <key>N</key>\n"\
"        </object>\n"\
"  </object>\n"\
"\n"\
"  <object class=\"cpcAccelArray\" name=\"defaultmenu\">\n"\
"        <object class=\"cpcAccelerator\"  name=\"CPC_WINDOWS_NEWWINDOW\">\n"\
"                <modifier>wxACCEL_CTRL</modifier>\n"\
"                <key>N</key>\n"\
"        </object>\n"\
"  </object>\n"\
"\n"\
"\n"\
"</resource>\n"


#define CPC_STRING_DEFAULTGRAPHMENUNAME  "defaultmenu"
#define CPC_STRING_DEFAULTGRAPHRESOURCE \
"<?xml version=\"1.0\"?>\n"\
"<resource>\n"\
"\n"\
"  <object class=\"wxMenuBar\" name=\"defaultmenu\">\n"\
"    <label>defaultmenu</label>\n"\
"\n"\
"    <object class=\"cpcMenu\" name=\"file_menu\"> \n"\
"      <label>$File</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_SAVEWINDOWAS\">\n"\
"        <label>Save graph as ...</label>\n"\
"        <help>Save the contents of the graph window</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_PAGESETUP\">\n"\
"        <label>Page setup</label>\n"\
"        <help>Printing setup</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_PRINTSELECTION\">\n"\
"        <label>$Print window</label>\n"\
"        <help>Print this graph</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_INTERRUPT\">\n"\
"        <label>$Interrupt</label>\n"\
"        <accel>Ctrl+I</accel>\n"\
"        <help>Interrupt processing</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_QUIT\">\n"\
"        <label>$Quit</label>\n"\
"        <accel>Ctrl+Q</accel>\n"\
"        <help>Quit</help>\n"\
"      </object>\n"\
"    </object>\n"\
"    <object class=\"cpcMenu\" name=\"graph_edit_menu\">\n"\
"      <label>$Edit</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_EDIT_COPY\">\n"\
"        <label>Copy</label>\n"\
"        <help>Copy the graph to the clipboard</help>\n"\
"      </object>\n"\
"    </object>\n"\
"\n"\
"    <object class=\"cpcMenu\" name=\"windows_menu_split\">\n"\
"      <label>$Windows</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_HIDE\">\n"\
"        <label>$Hide</label>\n"\
"        <help>Hide window</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_CLOSE\">\n"\
"        <label>$Close</label>\n"\
"        <accel>Ctrl+W</accel>\n"\
"        <help>Close window</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_ZOOMIN\">\n"\
"        <label>Zoom in</label>\n"\
"        <help>Enlarge graph</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_ZOOMOUT\">\n"\
"        <label>Zoom out</label>\n"\
"        <help>Shrink graph</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_FIT\">\n"\
"        <label>Fit</label>\n"\
"        <help>Fit graphic to frame</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_FITPRESERVE\">\n"\
"        <label>Fit keep aspect</label>\n"\
"        <help>Fit graphic to frame but retain original aspect ratio</help>\n"\
"      </object>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_WINDOWS_SETASPECT\">\n"\
"        <label>Set aspect ratio</label>\n"\
"        <help>Set the aspect ratio of the graphic</help>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_TEXTWINDOW\">\n"\
"        <label>Output windows</label>\n"\
"        <help>Select output window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_GRAPH\">\n"\
"        <label>Graph windows</label>\n"\
"        <help>Select graph window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_DIALOGS\">\n"\
"        <label>Select dialog window</label>\n"\
"        <help>Select dialog</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"    </object>\n"\
"\n"\
"  </object>\n"\
"\n"\
"\n"\
"  <object class=\"cpcAccelTable\" name=\"defaultmenu\">\n"\
"        <object class=\"cpcAccelerator\"  name=\"CPC_FILE_QUIT\">\n"\
"                <modifier>wxACCEL_CTRL</modifier>\n"\
"                <key>Q</key>\n"\
"        </object>\n"\
"  </object>\n"\
"\n"\
"  <object class=\"cpcAccelArray\" name=\"defaultmenu\">\n"\
"        <object class=\"cpcAccelerator\"  name=\"CPC_FILE_QUIT\">\n"\
"                <modifier>wxACCEL_CTRL</modifier>\n"\
"                <key>Q</key>\n"\
"        </object>\n"\
"  </object>\n"\
"\n"\
"\n"\
"</resource>\n"

#define CPC_STRING_DEFAULTDIALOGMENUNAME  "defaultmenu"
#define CPC_STRING_DEFAULTDIALOGRESOURCE \
"<?xml version=\"1.0\"?>\n"\
"<resource>\n"\
"\n"\
"  <object class=\"wxMenuBar\" name=\"defaultmenu\">\n"\
"    <label>defaultmenu</label>\n"\
"\n"\
"    <object class=\"cpcMenu\" name=\"file_menu\"> \n"\
"      <label>$File</label>\n"\
"      <object class=\"cpcMenuItem\" name=\"CPC_FILE_QUIT\">\n"\
"        <label>$Quit</label>\n"\
"        <accel>Ctrl+Q</accel>\n"\
"        <help>Quit</help>\n"\
"      </object>\n"\
"    </object>\n"\
"    <object class=\"cpcMenu\" name=\"windows_menu_split\">\n"\
"      <label>$Windows</label>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_TEXTWINDOW\">\n"\
"        <label>Output windows</label>\n"\
"        <help>Select output window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_GRAPH\">\n"\
"        <label>Graph windows</label>\n"\
"        <help>Select graph window</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"      <object class=\"separator\"/>\n"\
"      <object class=\"cpcMenu\" name=\"CPC_WINDOWS_DIALOGS\">\n"\
"        <label>Select dialog window</label>\n"\
"        <help>Select dialog</help>\n"\
"        <object class=\"cpcMenuItem\" name=\"fake window\">\n"\
"          <label>fake</label>\n"\
"        </object>\n"\
"      </object>\n"\
"    </object>\n"\
"\n"\
"  </object>\n"\
"</resource>\n"

#endif /*CARAPACESTRINGSH__*/
