/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 5.01 or later
*(C)*
*(C)* Copyright (c) 2000-2005 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*                                                                 ^F
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

#ifndef CPCIFACEH__
#define CPCIFACEH__
#undef EXTERN
#undef COMMA
#define COMMA ,

#ifdef MAIN__
#define EXTERN
#define INIT(VAL) = VAL
#define INITDIM(N) N
#define INITARRAY(VALS) = { VALS }
#else
#define EXTERN extern
#define INIT(VAL)
#define INITDIM(N)
#define INITARRAY(VALS)
#endif /*MAIN__*/

EXTERN int UseWindows INIT(0);
EXTERN char         *TooManyErrors  INIT("ERROR: too many errors; execution terminated");
EXTERN int SaveOnQuit INIT(1);


#ifndef PLATFORMH__
#include "../platform.h"
#endif /* PLATFORMH__ */

#define CPCMAXPATHLENGTH  1024

#include "cpcProto.h"
#include "../mvIo.h"


#include "cpcinterface.h"



#endif /*CPCIFACEH_*/
