/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 5.01 or later
*(C)*
*(C)* Copyright (c) 2000-2005 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*                                                                 ^F
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/


#ifndef ENVBUFLENGTH
#define ENVBUFLENGTH  512
#endif /*ENVBUFLENGTH*/
#ifndef MAXPATHS
#define MAXPATHS 50
#endif

class MacAnovaStartupArgs
{
  public:
/* these are the old style */
	char            buffer[ENVBUFLENGTH];
	char            *dataFileName;
	char            *macroFileName;
	char            *dataPathName;
	char            *macroPathName;
	char            *openFileName;
	char            *helpFileName;
/* end of old style and beginning of new style */
	char            *searchPaths[MAXPATHS];
	char            *helpFiles[MAXPATHS];
	char            *macroFiles[MAXPATHS];
	char            *dataFiles[MAXPATHS];
	char            *openFiles[MAXPATHS];
	char            *initFiles[MAXPATHS];
	char            *batchFiles[MAXPATHS];
	char		*unknownFiles[MAXPATHS];
	char            *defaultHelpFile;
	char            *motdFile;
	char            *cpcConfigFile;
/* end of new style and returning to items in common */
	char            *homePathName;
	char            *initFileName;
	char            *batchFileName;
	char            *restoreFileName;
	char            *commandPrompt;
	char            *batchPrompt;
	long             nlines;
	long             ncols;
	char            *expression;
	long             historyLength;
	long             quiet;
	char		*appDir;
/* command line only */
	char            *expressionQ;  /* only used when no SCROLLABLEWINDOW */
	char            *readlineRcFile;
	MacAnovaStartupArgs(void);
}; /*class MacAnovaCommandLineArgs*/


