/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 3.36 or later
*(C)*
*(C)* Copyright (c) 1994 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

/*
	Resource ID's used by MacAnova except those for Yacc tables
	
	960517  Added ID's for GLMOPTIONSDLOG and OTHEROPTIONSDLOG
*/

/* Resource ID's for WIND resources */
#define COMMANDWINDOW 1000  /* resource number for Command Window */
#define GRAPHWINDOW   1001  /* resource number for Graph Windows */

/* Resource ID's for ALRT resources and their associated DITL resources */
#define MYALERT       1001  /* resource number for Message Alert Box */
#define SAVEALERT     1002  /* resource number for Yes/No/Cancel Alert box */

/* Resource ID's for DLOG resources and their associated DITL resources */
#define EDITCOMMANDS     2001  /* resource number for Edit Cmmands Dlog */
#define BATCHMODE        2002  /* resource number for Batch Mode Dlog */
#define ABOUTMACANOVA    2003  /* resource number for About MacAnova Dlog */
#define CONSOLEDLOG      2004  /* resource number for Dlog for CONSOLE input */
#define TWOCHOICEDLOG    2005  /* resource number of generic two button model dialog*/
#define NSIGDLOG         2006  /* resource number of set nsig dialog*/
#define FORMATSDLOG      2007  /* resource number of set output format dialog*/
#define SEEDSDLOG        2008  /* resource number of set random seeds dialog*/
#define ANGLESDLOG       2009  /* resource number of set angle units dialog*/
#define BOPTIONSDLOG     2010  /* resource number of set batch options dialog */
#define GLMOPTIONSDLOG   2011  /* resource number of set glm options dialog */
#define OTHEROPTIONSDLOG 2012  /* resource number of set glm options dialog */

/* Resource ID's for MENU resources */
#define FILEMENU     10002  /* resource number for File Menu */
#define EDITMENU     10003  /* resource number for Edit Menu */
#define WINDOWMENU   10004  /* resource number for Window Menu */
#define COMMANDMENU  10005  /* resource number for Command Menu */
#define OPTIONSMENU  10006  /* resource number for Options Menu */
#define FONTMENU     10007  /* resource number for Font Menu */
#define FONTSIZEMENU     7  /* resource number for Font Size Sub Menu */
#define FONTSIZEMENUchar "\0x07"  /* resource number for Font Size Sub Menu */
